AutoCAD Inventor :: Automated Centerlines At Angle Around Center?
Aug 16, 2012
When I click to to automated centerlines, it usually places a vertical/hozional centerline on all the circles in the drawing like in the first attachment. But, sometimes it will make the centerline to angle around the center like in the second attachement.
What you have to do so that the centerline come off at angles like in the second picture?
Otherwise I end up using the centerline feature and drawing them all in which is a real hassel!
Is there a reason a sheet metal "cut" isn't an option for the automated centerlines tool? Am I overlooking something? When I make holes in sheet metal parts, I draw the circle then "cut" it into the sheet metal. For some reason I can't find how to give those automatic centerlines on drawings.
When placing parts from content center they all seem ok except Angle. Placing the angle is not a major problem, but when opened to edit (putting holes etc) it is so slow.
Slow when creating sketch on face, when trying to add dimensions etc, even slow opening and closing. Like i said working with other parts seems ok, just angle the problem.
I'm currently detailing a part that's about one-third of a cylindrical piece (the part is lathed as a whole and cut into thirds). I'm trying to project the centerline onto the section view so I can ordinate dimension to it.
I have an assembly that is a general model with different modules that all are iAssemblies.
With this model I can speed up the design process at the company I am working for.
In the model I only choose the correct member for the iAssemblies and the assembly updates correctly and just with a couple of clicks I have made a configuration of all the modules.
Now, I would like to take it a step further and have the drawing, for the specific configuration, generated automatically.
In the drawing I would like to have the master assembly presented in sheet 1 and the modules presented separately in different sheets, all sheets with BOM lists.
Is this possible to do?
(Next step is to export all the BOM lists to an excel document that can be sent to the product co-ordinator to build up the database system)
I am mechanical drawing and search a better way for the drawing generation. I have to learn some of VBA (or VBS?) for use Ilogic rules. My questions are:
1.- How learn or search more easily and faster the inventor objects for drawings and how to use this objects, undestanding the relationship between its function names and another properties for writing the correct mode in VB? I know some of VB buti see that the library objects from Inventor are "a lot of stuff".
2.- Is there a rule that can get, automatically, the centerlines from a drawing, when the drawings is generated in a idw file? (10 drawing in one idw file ).
creating a named sketch block (in an ipt) containing entities that I have created in the same sub? I'm doing this from Excel, in Inventor 2010.
What I have:
Function CreateUncutTagSketchBlock()Dim IVApp As Inventor.ApplicationDim oDoc As DocumentDim oCompDef As ComponentDefinitionDim oSketch As SketchDim oTG As TransientGeometryDim FileName As StringDim Coords(1 To 10) As Point2dDim oSketchCircle As Circle2dDim oSketchArcs(1 To 2)
[code]....
note that i've also taken a shortcut with the arcs, and the circle. I did try to create them using the same naming convention as the lines, but... I failed to implement it successfully.Also, I can not quite figure out how to constrain all the start/end points together.
I am trying to generate automated drawing for my assembly and iam trying to run the following code
Imports Inventor.ViewOrientationTypeEnum Imports Inventor.DrawingViewStyleEnum dim oDrawingDoc as DrawingDocument dim oPartDoc as Document dim oSheet as sheet dim oTG as TransientGeometry dim oView1 as DrawingView
[code]....
but when i run the code its asks me whether you want to generate the drawings, but when i say yes shows runtime argument error as show below
Error in rule: Rule0, in document: pin
The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG))
when i ask for more info it shows the following error
System.ArgumentException: The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG)) at System.RuntimeType.ForwardCallToInvokeMember(String memberName, BindingFlags flags, Object target, Int32[] aWrapperTypes, MessageData& msgData) at Inventor.Documents.Add(DocumentTypeEnum DocumentType, String TemplateFileName, Boolean CreateVisible) at LmiRuleScript.Main() at Autodesk.iLogic.Exec.AppDomExec.ExecRuleInAssembly(Assembly assem) at iLogic.RuleEvalContainer.ExecRuleEval(String execRule)
I'm trying to setup an assembly based on a complex 3D sketch. In simplest terms, if I have a sketch for the perimeter of a house, I'd like to add instances of a 2x4.ipt at specified locations automatically. That's not necessarily every 16", but rather wherever I put a specific geometry. I'm imagining two work axis or sketch lines, one along the perimeter to determine the location of the 2x4 and one perpendicular to determine the direction the 2x4 points.
In actuality my sketch won't be a rectangle, but rather a complex 3D spline, that's why I'm hoping to get some sort of automated process. And the current design involves somewhere on the order of 1500-1800 2x4s. Making the sketches and geometry will be nightmarish enough, I'd prefer to be able to breeze through the assembly portion.
I'm attempting to create a model that autmotaically derives ready-to-go drawings. I've gotten pretty far in doing so but have a few issues with regards to dimensioning. As I'm sure you're aware, when the model changes, a dimension to that feature, which has been removed, is also deleted and some those dimensions do not return once the model is changed back.
I have looked into using different view representations, but have found that they do not accommodate feature supression.
Is there a way to program in the dimensioning of a view.
Create center points for of the holes and center lines.
And for a feature note such as "Hole and Thread" dimensioning, when the model expands, the leader and text length do not change and proceed into the view. Is there a way to fix or anchor the text to a certain spot on the drawing, and have the leader length expand and change accordingly to that point.
I'm attempting to create a model that autmotaically derives ready-to-go drawings. I've gotten pretty far in doing so but have a few issues with regards to dimensioning. As I'm sure you're aware, when the model changes, a dimension to that feature, which has been removed, is also deleted and some those dimensions do not return once the model is changed back.
I have looked into using different view representations, but have found that they do not accommodate feature supression.
My questions are:
Is there a way to program in the dimensioning of a view
Create center points for of of the holes and center lines
And for a feature note such as "Hole and Thread" dimensioning, when the model expands, the leader and text length do not change and proceed into the view. Is there a way to fix or anchor the text to a certain spot on the drawing, and have the leader length expand and change accordingly to that point.
I'm having some fits with the constrained orbit center. It seems to me that It used to always be in the center of the screen when I would use Shift and CMB. Now it seems to be stuck on the center of my assembly/part. I know that I can hit F4 and long select LMB to re-center but I have never had to do that before the last day or two. I have uninstalled all the Beta Add ins I had installed and I have even uninstalled and reinstalled Inventor Pro 2014.
Is there an option somewhere that puts the default Orbit Center to the center of the screen?
pdf drawings are king at our company. When we creat a product, pdfs (and sometimes stp files) are generated and placed in folders organized numerically by part number.
Our challenge is that finding all the current pdfs for an assembly is not automated. Thus, to get all the current drawing pdfs, someone has to open up the top level pdf, read all the part numbers, go get/print the pdfs of the parts, subassemblies, subassembly parts, etc. This is time consuming and error prone and getting worse as the number of parts we always increasing.
I'd like to automate the process. I'm thinking about a program/script that: Extract parts list from pdf of Inventor assembly drawingCopy pdf of individual parts/subassemblies to a directoryMerge all pdf for that assembly into single pdf.
a powerpoint presentation, for a software package that I have designed, and written, for use with AutoDesk Inventor.Could I ask you if you could spare just 2 minutes of your time to look at the presentation, so that I can gauge your impressions of the software, and the power point presentation itself.
The powerpoint presentation will give you a brief description of the software's capabilities
I'm trying to create some simple vertical centerlines to be drawn in the same spot on all existing artboards in my document. What I have so far is creating the proper amount of centerlines but only drawing them in the correct spot on half of the artboards while the other half are being drawn in the space between the artboards. Here's what I have so far.
function addCenterLines() { var doc = app.activeDocument; for (var i = 0; i < doc.artboards.length; i++) { var abRect = doc.artboards[i].artboardRect; [code]...
showing the top of a couple of the artboards and the misplaced centerlines in between.I think I have a great misunderstanding of how the abRect coordinates work, as in which side is [0],[1],[2] and [3], which may be leading to my inability to get this right. How I can sort out my centerlines. The centerlines provided in the print dialog are not an option in this case.
Is there a quick way to rotate an object to match an angle without knowing what the angle is? I am using AutoCAD 2011 now. I was using 2007 and I had an add on command the would rotate an object using a base point and picking the two lines that make up the angle, and it would match the angle you wanted. I can not get that command to load in 2011.
I have a property line that is N 36d19'52" E but needs to be N 12d52'18" E. The obvious and calculated rotation angle would be 23d27'34" but when I rotate the line by the calculated angle it doesn't rotate to the right angle. It's off by 0d11'10"!? When I draw a line by bearing at N12d52'18" E and inquiry the angle between the property line and the drawn line the angle difference is in fact 23d27'34".
Let's say I am inserting a square block into a dwg and want to get it parallel to an existing angled line. Do I have to read the angle of the line and insert the block to that angle or is there a quicker way?
how to convert "real world" angles of elliptical arcs into those shown in a dxf file?
Say that I have drawn an elliptical arc with its start angle on 210 degrees and an end angle of 324 degrees. The values in a DXF file, for an elliptical arc, have something to do with the contant "PI" (3.14159). I know that a full circle is 2*Pi but how to do this with elliptical arcs!!
Maybe I've just been doing it wrong for the last 5 years, but the Angle constraint is obnoxiously unpredictable. When I constrain a part in an assembly with an angle constraint from the assembly origin plane (or anything else), Inventor always has two solutions; a positive and negative.
Is there something I'm missing here, or is just a design flaw we have to live with?